Subject: Re: Bug#973: X2Go issue (in src:x2goclient) has been marked as pending for release

From: Mihai Moldovan <[email-masked]>
Date: Wed, 13 Jan 2016 18:43:53 +0100

On 13.01.2016 10:07 AM, David Laxer wrote:
> g++ -c -pipe -stdlib=libstdc++ -O2 -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.5 -arch i386 -Wall -W -isysroot
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk -DCFGCLIENT
> -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I../../anaconda/mkspecs/macx-g++
> -I../../x2goclient -I../../anaconda/include/QtCore -I../../anaconda/include/QtNetwork -I../../anaconda/include/QtGui
> -I../../anaconda/include/QtSvg -I../../anaconda/include -I../src -I/opt/local/include -I. -I. -I../../x2goclient -I. -o
> settingswidget.o ../src/settingswidget.cpp
> g++: error: unrecognized command line option '-stdlib=libstdc++'
> g++: error: unrecognized command line option '-stdlib=libstdc++'
> g++: error: unrecognized command line option '-Xarch_x86_64'
> g++: error: unrecognized command line option '-Xarch_x86_64'

Like I said, these errors stem from a wrong compiler. Please check what I've written in my previous mail.

Mihai